# Interface PrimitiveTypeTree

All Superinterfaces:
  `Tree`

public interface PrimitiveTypeTree extends Tree
A tree node for a primitive type. For example:

      primitiveTypeKind

See Java Language Specification:
  4.2 Primitive Types and Values
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`TypeKind`
`getPrimitiveTypeKind()`
Returns the kind of this primitive type.

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getPrimitiveTypeKind

TypeKind getPrimitiveTypeKind()
Returns the kind of this primitive type.

Returns:
  the kind of the type